This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 152834 - pppd dies on LCP reconfigure if multilink enabled
pppd dies on LCP reconfigure if multilink enabled
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 10:35 EST by John Hardin
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:29:05 EST
Critical bug - this T1 pair needs to go live real soon. Please reditect via
email if Fedora's bugzilla isn't the proper place to report this.

Redhat Linux 9.0
2.4.20-31.9smp kernel
ppp-2.4.1-10
Sangoma Wanpipe S514-7-PCI dual T1/E1 card 
WANPIPE Hardware Support Module Stable 2.3.1-2

Initial Multilink PPP sessions all start fine. If the far end renegotiates (e.g.
sends a LCP ConfReq with a new magic) then pppd does this:

(Multilink PPP connection up and stable for a few minutes, keepalives received
every ten seconds, traffic successfully routed, then...)

Nov  4 08:17:51 rhad-new ppp_debug: rcvd [LCP EchoReq id=0x4 magic=0xe239e55b 71
91 a1 c5]
Nov  4 08:17:51 rhad-new ppp_debug: sent [LCP EchoRep id=0x4 magic=0x7191a1c5 71
91 a1 c5]
Nov  4 08:17:56 rhad-new ppp_debug: rcvd [LCP ConfReq id=0x4b <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:17:56 rhad-new ppp_debug: Script /etc/ppp/ip-down started (pid 27171)
Nov  4 08:17:56 rhad-new ppp_debug: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
<magic 0x583b2b6> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:17:56 rhad-new ppp_debug: sent [LCP ConfAck id=0x4b <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:17:56 rhad-new ppp_debug: rcvd [LCP ConfAck id=0x1 <asyncmap 0x0>
<magic 0x7191a1c5> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:17:56 rhad-new ppp_debug: rcvd [LCP ConfAck id=0x1 <asyncmap 0x0>
<magic 0x7191a1c5> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:17:56 rhad-new ppp_debug: Script /etc/ppp/ip-down finished (pid
27171), status = 0x0
Nov  4 08:17:58 rhad-new ppp_debug: rcvd [LCP ConfReq id=0x4c <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:17:58 rhad-new ppp_debug: sent [LCP ConfAck id=0x4c <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:17:59 rhad-new ppp_debug: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
<magic 0x583b2b6> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:18:00 rhad-new ppp_debug: rcvd [LCP ConfReq id=0x4d <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:00 rhad-new ppp_debug: sent [LCP ConfAck id=0x4d <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:02 rhad-new ppp_debug: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
<magic 0x583b2b6> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:18:02 rhad-new ppp_debug: rcvd [LCP ConfReq id=0x4e <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:02 rhad-new ppp_debug: sent [LCP ConfAck id=0x4e <magic 0xe23a8f46>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:04 rhad-new ppp_debug: rcvd [IPCP ConfReq id=0x36 <addr
160.81.217.101>]
Nov  4 08:18:05 rhad-new ppp_debug: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
<magic 0x583b2b6> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:18:05 rhad-new ppp_debug: rcvd [LCP ConfReq id=0x4f <magic 0xe23ab33a>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:05 rhad-new ppp_debug: sent [LCP ConfAck id=0x4f <magic 0xe23ab33a>
<mrru 1500> <endpoint [local:73.6c.2d.67.77.35.2d.74.61.63]>]
Nov  4 08:18:05 rhad-new pppd[27149]: Couldn't attach to interface unit 0:
Inappropriate ioctl for device
Nov  4 08:18:05 rhad-new ppp_debug: rcvd [LCP ConfAck id=0x2 <asyncmap 0x0>
<magic 0x583b2b6> <mrru 1500> <endpoint [MAC:00:02:a5:8a:35:64]>]
Nov  4 08:18:05 rhad-new ppp_debug: Couldn't attach to interface unit 0:
Inappropriate ioctl for device
Nov  4 08:18:06 rhad-new pppd[27149]: Exit.

If multilink is not used, the reconfiguration completes and the interface comes
back up and routes traffic successfully.

Side issue: does anybody know how to tell a Cisco running IOS 12.0 to NOT
renegotiate the bloody PPP link every five minutes? The ISP tech tried
everything and nothing made it stop renegotiation.



------- Additional Comments From pekkas@netcore.fi 2004-12-21 07:11:21 ----

FL is doing security fixes only, so we will have to close this PR.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:29 -------

This bug previously known as bug 2229 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2229
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity major. Setting to default severity "normal".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.